번역 오버레이 조회
curl --request GET \
--url https://api.example.com/v1/data-apps/{app_id}/translations/{locale}import requests
url = "https://api.example.com/v1/data-apps/{app_id}/translations/{locale}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/data-apps/{app_id}/translations/{locale}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"locale": "<string>",
"name": "<string>",
"summary": "<string>",
"readme": "<string>",
"stale": true
}Discovery
번역 오버레이 조회
로케일 하나 번역 오버레이 전체.
GET
/
v1
/
data-apps
/
{app_id}
/
translations
/
{locale}
번역 오버레이 조회
GET https://api-datahub.octoparse.com/v1/data-apps/{app_id}/translations/{locale}
인증: 선택.
로케일 하나 번역 오버레이 전체(카드 필드와 README 포함).
요청
경로 파라미터
string
필수
App 참조:
app_<hex> 또는 <namespace>/<app_name>.string
필수
로케일 코드. 예:
ja-JP.요청 예시
curl -H "Authorization: Bearer $OCTOPARSE_API_KEY" "https://api-datahub.octoparse.com/v1/data-apps/carol/probe-b/translations/en"
응답
200 성공
{
"data": {
"locale": "ja-JP",
"name": "Review search",
"summary": "Search product reviews",
"readme": "# How to use\n...",
"stale": false
}
}
string
필수
이 오버레이의 로케일.
string
번역된 표시 이름.
string
번역된 요약.
string
번역 README Markdown(있을 때).
boolean
최신 Release 미게시 드래프트 변경 기반이면
true.오류
| HTTP | code | category | 설명 |
|---|---|---|---|
| 404 | app-not-found | not_found | App 없거나 비가시. |
| 404 | translation-not-found | not_found | 이 로케일 오버레이 없음. |
{"error": {code, category, message, retryable}}입니다. 오류 참고.